## heimdal 7.1.0+dfsg

=== debian/changelog ===
heimdal (7.1.0+dfsg-13+deb9u3) stretch-security; urgency=medium

  * CVE-2018-16860: Samba AD DC S4U2Self/S4U2Proxy unkeyed checksum.
    Closes: #928966.
  * CVE-2019-12098: Always confirm PA-PKINIT-KX for anon PKINIT.
    Closes: #929064.
  * Update test certificates to pre 2038 expiry.

 -- Brian May <bam@debian.org>  Tue, 28 May 2019 17:16:51 +1000

heimdal (7.1.0+dfsg-13+deb9u2) stretch-security; urgency=high

  * CVE-2017-17439: Remote unauthenticated DoS in Heimdal-KDC 7.1
    (Closes: #878144)

 -- Dominik George <nik@naturalnet.de>  Wed, 06 Dec 2017 13:24:04 +0100

heimdal (7.1.0+dfsg-13+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2017-11103: Orpheus' Lyre KDC-REP service name validation
    (Closes: #868208)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 16 Jul 2017 09:41:52 +0200

heimdal (7.1.0+dfsg-13) unstable; urgency=medium

  * Add missing symbols base64_decode and base64_encode back into
    libroken. Closes: #848694.

 -- Brian May <bam@debian.org>  Wed, 26 Apr 2017 19:38:20 +1000

heimdal (7.1.0+dfsg-12) unstable; urgency=high

  * Fix transit path validation CVE-2017-6594.

 -- Brian May <bam@debian.org>  Mon, 10 Apr 2017 17:21:35 +1000

heimdal (7.1.0+dfsg-11) unstable; urgency=medium

  * Remove legacy provides/conflicts/replaces headers. Old daemons
    such as ftp have been removed. Closes: #236902, #859664.

 -- Brian May <bam@debian.org>  Sat, 08 Apr 2017 11:38:13 +1000

heimdal (7.1.0+dfsg-9) unstable; urgency=medium

  * Switch back to collab-maint URL until pkg-heimdal permissions are
    fixed, switch to HTTPS Git URL. Closes: #850652
  * Fix regression in krb5-config introduced by canonical_host patch.
    Closes: #850653

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 08 Jan 2017 22:36:15 +0000

heimdal (7.1.0+dfsg-8) experimental; urgency=medium

  * Re-enable build on MIPS.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 08 Jan 2017 20:07:56 +0000

heimdal (7.1.0+dfsg-7) unstable; urgency=medium

  * Re-enable accidentally disabled builds on alpha, hppa, arm64, hurd-
    i386, powerpcspe, ppc64, sparc64.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 08 Jan 2017 19:36:56 +0000

heimdal (7.1.0+dfsg-6) unstable; urgency=medium

  * Actually restrict architectures to anything but MIPS.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 08 Jan 2017 17:17:35 +0000

heimdal (7.1.0+dfsg-5) unstable; urgency=medium

  * Don't build on MIPS, to work around #884227 for now.
   + Drop no_test_dbinfo patch.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 08 Jan 2017 00:51:17 +0000

heimdal (7.1.0+dfsg-4) unstable; urgency=medium

  * Add patch canonical_host: avoid use of @CANONICAL_HOST@, which
    breaks reproducibility on e.g. x86.
  * Change Vcs headers to new Git location.
  * Add patch no_test_dbinfo: disable test_dbinfo, as it fails to build
    on MIPS. Works around #844227.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 05 Jan 2017 20:15:22 +0000

heimdal (7.1.0+dfsg-3) unstable; urgency=medium

  * Fix building arch-only. Closes: #806045

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 29 Dec 2016 15:37:37 +0000

heimdal (7.1.0+dfsg-2) unstable; urgency=medium

  * Disable check-iprop test for the moment as it is flaky.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 27 Dec 2016 16:02:10 +0000

heimdal (7.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release. Closes: #834654
  * 041_hurd_maxhostnamele: Update to cover lib/krb5/test_plugin.c.
  * fix_git_source: Exclude doxygen output files from source tarballs;
    these contain jsquery copies without source and are autogenerated.
  * Revert accidental patch to de.po that removed translations for
    Debian package.
  * Cherry-pick change to fix check-iprop races. Thanks, Nico Williams.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 16 Dec 2016 01:46:37 +0000

heimdal (7.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
   + Drop 049_testkdc_timeout patch. Applied upstream.
  * Add Catalan translation. Thanks, Sandra. Closes: #827598
  * Add German translation. Thanks, Chris Leick. Closes: #823759
  * heimdal-kcm: Add dependency on lsb-base.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Dec 2016 18:48:18 +0000

heimdal (7.0.1+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
   + Fixes tests on 32bit platforms. Closes: #822749
   + Removes ftp, push, pfrom and kftpd.
  * Fix building with arch/indep only. Closes: #806045
  * Drop 031_libedit patch.
  * Drop patch 061_disable_test_plugin, 062_disable_test_iprop.
  * heimdal-kdc: Add missing dependency on lsb-base.
  * Bump standards version to 3.9.8 (no changes).
  * Update watch file.
  * Drop patch 'debug'.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 05 Aug 2016 16:26:52 +0000

heimdal (1.7~git20160703+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
   + Drop patch 063_exclude_host: applied upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 03 Jul 2016 14:25:12 +0000

heimdal (1.7~git20160515+dfsg-1) unstable; urgency=low

  * New upstream snapshot.
  * Update parallel-build: partially applied upstream.
  * Remove host architecture name in generated C files; it makes the
    package unreproducible.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 15 May 2016 19:27:15 +0000

heimdal (1.7~git20160418+dfsg-3) unstable; urgency=medium

  * Fix dependency on kadm5_err.h, affecting parallel builds. Closes:
    #822406

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 24 Apr 2016 18:13:40 +0000

heimdal (1.7~git20160418+dfsg-2) unstable; urgency=medium

  * Add patch parallel-build: Fix parallel builds. Closes: #800728

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 20 Apr 2016 00:27:13 +0000

heimdal (1.7~git20160418+dfsg-1) unstable; urgency=low

  * New upstream snapshot.
  * Drop patch 043_clean_headers: applied upstream.
  * Bump standards version to 3.9.7 (no changes).
  * Add patch 062_disable_test_iprop: disable iprop test, which is
    broken. Closes: #775148


