=== debian/control ===
Source: heimdal
Section: net
Priority: optional
Maintainer: Brian May <bam@debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
 Dominik George <nik@naturalnet.de>
Homepage: http://www.h5l.org/
Standards-Version: 3.9.8
Build-Depends: bison,
               comerr-dev (>= 1.41.11),
               debhelper (>= 9),
               dh-autoreconf,
               flex,
               libcap-ng-dev [linux-any],
               libdb-dev,
               libedit-dev,
               libhesiod-dev,
               libjson-perl,
               libldap2-dev,
               libncurses5-dev,
               libperl4-corelibs-perl,
               libsqlite3-dev,
               libx11-dev,
               libxau-dev,
               libxt-dev,
               netbase,
               pkg-config,
               python,
               ss-dev,
               texinfo,
               unzip,
               x11proto-core-dev
Vcs-Git: https://anonscm.debian.org/git/collab-maint/heimdal/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/heimdal.git

Package: heimdal-docs
Section: doc
Priority: extra
Architecture: all
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: heimdal-clients, heimdal-servers
Description: Heimdal Kerberos - documentation
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package includes documentation (in info format) on how to
 use Heimdal, and relevant standards for Kerberos.

Package: heimdal-kdc
Priority: extra
Architecture: any
Conflicts: heimdal-clients (<< 0.4e-3),
           heimdal-servers (<< 0.6.3-3),
           kerberos4kth-kdc,
           krb5-admin-server,
           krb5-kdc
Depends: debconf (>= 0.5.00) | debconf-2.0,
         heimdal-clients,
         krb5-config,
         lsb-base,
         openbsd-inetd|inet-superserver,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: logrotate
Suggests: heimdal-docs
Description: Heimdal Kerberos - key distribution center (KDC)
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package includes the KDC (key distribution center) server,
 which is designed to run on a secure computer and keeps track
 of users' passwords. This is done using the Kerberos protocol in
 such a way that the server computers do not need to know the
 passwords.

Package: heimdal-multidev
Section: devel
Priority: extra
Architecture: any
Conflicts: heimdal-clients (<< 0.4e-7), kerberos4kth-dev
Depends: comerr-dev,
         libasn1-8-heimdal (= ${binary:Version}),
         libgssapi3-heimdal (= ${binary:Version}),
         libhcrypto4-heimdal (= ${binary:Version}),
         libhdb9-heimdal (= ${binary:Version}),
         libheimbase1-heimdal (= ${binary:Version}),
         libhx509-5-heimdal (= ${binary:Version}),
         libkadm5clnt7-heimdal (= ${binary:Version}),
         libkadm5srv8-heimdal (= ${binary:Version}),
         libkafs0-heimdal (= ${binary:Version}),
         libkdc2-heimdal (= ${binary:Version}),
         libkrb5-26-heimdal (= ${binary:Version}),
         libwind0-heimdal (= ${binary:Version}),
         libotp0-heimdal (= ${binary:Version}),
         libsl0-heimdal (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: heimdal-dev (<< 1.6~git20131117+dfsg-2)
Suggests: heimdal-docs
Description: Heimdal Kerberos - Multi-implementation Development
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package provides versions of the Heimdal development files that
 can be installed along-side MIT Kerberos development files.
 Normally, heimdal-dev should be used. However if a package needs to
 build  against both Heimdal Kerberos and MIT Kerberos, then the
 multidev package should be used.

Package: heimdal-dev
Depends: heimdal-multidev (= ${binary:Version}), ${misc:Depends}
Section: devel
Conflicts: libkrb5-dev
Priority: extra
Architecture: any
Description: Heimdal Kerberos - development files
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This is the development package, required for developing
 programs for Heimdal.

Package: heimdal-clients
Priority: extra
Architecture: any
Depends: krb5-config, ${misc:Depends}, ${shlibs:Depends}
Conflicts: otp
Suggests: heimdal-docs, heimdal-kcm
Description: Heimdal Kerberos - clients
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package includes Kerberos utilities like kadmin, kinit, kpasswd and
 klist.

Package: heimdal-kcm
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base
Description: Heimdal Kerberos - KCM daemon
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package includes the KCM daemon which can hold the credentials
 for all users in the system. Access control is done with Unix-like
 permissions. The daemon checks the access on all operations based on
 the UID and GID of the user. The tickets are renewed as long as is
 permitted by the KDC's policy.

Package: heimdal-servers
Priority: extra
Architecture: any
Depends: krb5-config,
         openbsd-inetd|inet-superserver,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: heimdal-docs
Description: Heimdal Kerberos - server programs
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the kfd server, for receiving forwarded tickets.

Package: heimdal-dbg
Multi-Arch: same
Priority: extra
Architecture: any
Section: debug
Depends: libkrb5-26-heimdal (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Heimdal Kerberos - debugging symbols
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the debugging symbols for all heimdal libraries.

Package: libheimbase1-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - Base library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the base library.

Package: libasn1-8-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - ASN.1 library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the ASN.1 parser required for Heimdal.

Package: libkrb5-26-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - libraries
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the Kerberos 5 library.

Package: libhdb9-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: heimdal-hdb-api-8
Description: Heimdal Kerberos - kadmin server library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for storing the KDC database.

Package: libkadm5srv8-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the server library for kadmin.

Package: libkadm5clnt7-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - kadmin client library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the client library for kadmin.

Package: libgssapi3-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Conflicts: libgssapi3
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - GSSAPI support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for GSSAPI support.

Package: libkafs0-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - KAFS support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for KAFS support.

Package: libroken18-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - roken support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for roken support.

Package: libotp0-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Priority: extra
Architecture: any
Conflicts: libotp0-kerberos4kth
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - OTP support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for OTP support.

Package: libsl0-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Priority: extra
Architecture: any
Conflicts: libsl0-kerberos4kth
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - SL support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for SL support.

Package: libkdc2-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - KDC support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.

Package: libhx509-5-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - X509 support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.

Package: libheimntlm0-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - NTLM support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.

Package: libwind0-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - stringprep implementation
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.

Package: libhcrypto4-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - crypto library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the cryptographic library required for Heimdal.
