=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.?\d$//;s/.dfsg$//,uversionmangle=s/(pre\d|rc\d)/~$1/,pgpsigurlmangle=s/$/.sig/ \
  https://github.com/heimdal/heimdal/releases /heimdal/heimdal/releases/download/heimdal-.*/heimdal-(.+).tar.gz
