## heimdal 7.4.0.dfsg.1

=== debian/changelog ===
heimdal (7.4.0.dfsg.1-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Remove myself from uploaders.

  [ Brian May ]
  * Be explicit with heimdal.mkey filename in postinst. Closes: #868638.
  * Tests should respect DEB_BUILD_OPTIONS=nocheck.  Closes: #868842.

 -- Brian May <bam@debian.org>  Sun, 23 Jul 2017 10:32:34 +1000

heimdal (7.4.0.dfsg.1-1) unstable; urgency=high

  * New upstream version.
  * Update standards version to 4.0.0.
  * CVE-2017-11103: Fix Orpheus' Lyre KDC-REP service name validation.
    (Closes: #868208).

 -- Brian May <bam@debian.org>  Sat, 15 Jul 2017 19:47:32 +1000
