=== debian/control ===
--- 
+++ 
@@ -2,10 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Brian May <bam@debian.org>
-Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
- Dominik George <nik@naturalnet.de>
 Homepage: http://www.h5l.org/
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends: bison,
                comerr-dev (>= 1.41.11),
                debhelper (>= 9),
