=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,8 @@
 	dh_makeshlibs -plibwind0-heimdal -V"libwind0-heimdal (>= 1.4.0~git20110226.dfsg.1-1)" -- -c4
 
 override_dh_auto_test:
-	$(MAKE) check
+	# The testsuite fails when run with parallel jobs
+	dh_auto_test -- -j1
 
 override_dh_auto_configure:
 	./configure $(shell dpkg-buildflags --export=configure) \
