## heimdal 7.5.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: heimdal
 Section: net
 Priority: optional
-Maintainer: Brian May <bam@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Brian May <bam@debian.org>
+Uploaders: Dominik George <nik@naturalnet.de>
 Homepage: http://www.h5l.org/
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Build-Depends: bison,
                comerr-dev (>= 1.41.11),
-               debhelper (>= 9),
-               dh-autoreconf,
+               debhelper (>= 10),
                flex,
                libcap-ng-dev [linux-any],
                libdb-dev,
@@ -33,7 +34,6 @@
 
 Package: heimdal-docs
 Section: doc
-Priority: extra
 Architecture: all
 Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Suggests: heimdal-clients, heimdal-servers
@@ -45,7 +45,6 @@
  use Heimdal, and relevant standards for Kerberos.
 
 Package: heimdal-kdc
-Priority: extra
 Architecture: any
 Conflicts: heimdal-clients (<< 0.4e-3),
            heimdal-servers (<< 0.6.3-3),
@@ -73,7 +72,6 @@
 
 Package: heimdal-multidev
 Section: devel
-Priority: extra
 Architecture: any
 Conflicts: heimdal-clients (<< 0.4e-7), kerberos4kth-dev
 Depends: comerr-dev,
@@ -109,7 +107,6 @@
 Depends: heimdal-multidev (= ${binary:Version}), ${misc:Depends}
 Section: devel
 Conflicts: libkrb5-dev
-Priority: extra
 Architecture: any
 Description: Heimdal Kerberos - development files
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -119,7 +116,6 @@
  programs for Heimdal.
 
 Package: heimdal-clients
-Priority: extra
 Architecture: any
 Depends: krb5-config, ${misc:Depends}, ${shlibs:Depends}
 Conflicts: otp
@@ -132,7 +128,6 @@
  klist.
 
 Package: heimdal-kcm
-Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base
 Description: Heimdal Kerberos - KCM daemon
@@ -146,7 +141,6 @@
  permitted by the KDC's policy.
 
 Package: heimdal-servers
-Priority: extra
 Architecture: any
 Depends: krb5-config,
          openbsd-inetd|inet-superserver,
@@ -159,20 +153,6 @@
  .
  This package contains the kfd server, for receiving forwarded tickets.
 
-Package: heimdal-dbg
-Multi-Arch: same
-Priority: extra
-Architecture: any
-Section: debug
-Depends: libkrb5-26-heimdal (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Heimdal Kerberos - debugging symbols
- Heimdal is a free implementation of Kerberos 5 that aims to be
- compatible with MIT Kerberos.
- .
- This package contains the debugging symbols for all heimdal libraries.
-
 Package: libheimbase1-heimdal
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -263,7 +243,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Section: libs
-Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Heimdal Kerberos - KAFS support library
@@ -288,7 +267,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Section: libs
-Priority: extra
 Architecture: any
 Conflicts: libotp0-kerberos4kth
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -302,7 +280,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Section: libs
-Priority: extra
 Architecture: any
 Conflicts: libsl0-kerberos4kth
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -316,12 +293,13 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Section: libs
-Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Heimdal Kerberos - KDC support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
+ .
+ This package contains the KDC support library.
 
 Package: libhx509-5-heimdal
 Multi-Arch: same
@@ -332,6 +310,8 @@
 Description: Heimdal Kerberos - X509 support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
+ .
+ This package contains the x509 supportlibrary.
 
 Package: libheimntlm0-heimdal
 Multi-Arch: same
@@ -342,6 +322,8 @@
 Description: Heimdal Kerberos - NTLM support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
+ .
+ This package contains the NTLM support library.
 
 Package: libwind0-heimdal
 Multi-Arch: same
@@ -352,6 +334,8 @@
 Description: Heimdal Kerberos - stringprep implementation
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
+ .
+ This package contains the stringprep library.
 
 Package: libhcrypto4-heimdal
 Multi-Arch: same
