## heimdal 7.5.0+dfsg

=== debian/changelog ===
heimdal (7.5.0+dfsg-1) unstable; urgency=high

  * New upstream version. (Closes: #850723)
    + CVE-2017-17439: Remote unauthenticated DoS in Heimdal-KDC 7.4
      (Closes: #878144, #868157)
    + Refresh patches.
  * Bump Standards-Version to 4.1.2 and compat level to 10.
    + Remove explicit reference to dh-autoreconf.
  * Use uscan to get orig source.
    + Refrain from mangling some bundled RFC texts;
      just exclude the mas they are not installed into any binary anyway.
    + Update d/copyright to DEP-5.
    + Can now use standard uscan/gbp/pristine-tar workflow.
  * Fix some lintian errors/warnings.
    + Strip trailing whitespace from changelog.
    + Fix some duplicate long descriptions.
    + Use optional priority everywhere.
    + Update/remove some overrides.
    + Enforce set -e in maintainer scripts.
    + Enable hardening.
  * Migrate to -dbgsym.
  * Add myself to uploaders.

 -- Dominik George <nik@naturalnet.de>  Fri, 15 Dec 2017 01:13:04 +0100
