=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: heimdal
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Brian May <bam@debian.org>
+Maintainer: Brian May <bam@debian.org>
 Uploaders: Dominik George <nik@naturalnet.de>
 Homepage: http://www.h5l.org/
 Standards-Version: 4.1.2
