=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,16 @@
 #!/usr/bin/make -f
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $* --with autoreconf --parallel
+	dh $* --parallel
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
 
 override_dh_strip:
-	dh_strip --dbg-package=heimdal-dbg
+	dh_strip --dbgsym-migration="heimdal-dbg (<< 7.5.0~)"
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibsl0-heimdal -- -c4
@@ -153,6 +154,3 @@
 	sed -i "s/includedir=.*/includedir=\/usr\/include\/heimdal/" \
 		debian/heimdal-multidev/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/*.pc \
 		debian/heimdal-dev/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/*.pc
-
-get-orig-source::
-	./debian/scripts/build-git-orig
