## heimdal 7.5.0.1

=== debian/changelog ===
heimdal (7.5.0.1-deepin1) unstable; urgency=medium

  * Non-maintainer upload.
  * update changelog and rebuild for deepin

 -- Ding Heng <dingheng@uniontech.com>  Wed, 01 Feb 2023 13:36:38 +0800

heimdal (7.5.0+dfsg-3+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the LTS Security Team, with fixes for:
    + CVE-2019-14870: The AD KDC before 7.7.1/7.8 does not apply
      delegation_not_allowed (aka not-delegated) user attributes for S4U2Self;
      instead the forwardable flag is set even if the impersonated client has
      the not-delegated flag set. Closes: #946786.
    + CVE-2021-3671: A NULL dereference was found in the way the server
      handled a missing sname in TGS-REQ, leading to denial of service of the
      KDC before 7.7.1/7.8. Closes: #996586.
    + CVE-2021-44758: An initial SPNEGO token that has no acceptable
      mechanisms causes a NULL dereference in acceptors. Closes: #1024187.
      - Follow-up regression (FTBFS) fix: gss: Remove useless grep from
        check-context.
    + CVE-2022-3437: RC4 (arcfour), 1DES and 3DES3 unwrap didn't use constant
      memcmp() and were subject to buffer overflow, potentially leaking secret
      keys when using these ciphers. Closes: #1024187.
    + CVE-2022-41916: The KDC and 3rd party applications using Heimdal's
      libhx509 before 7.7.1/7.8 is subject to a denial of service
      vulnerability due to an out of bound read in the PKI certificate
      validation library. Closes: #1024187.
    + CVE-2022-42898: Heimdal before 7.7.1/7.8 suffers from an integer
      multiplication overflow when calculating how many bytes to allocate for
      a buffer for the parsed Privilege Attribute Certificate (PAC).  64 bits
      systems are not exploitable. Closes: #1024187.
      - Follow-up regression fix for lib/krb5/store-int.c:_krb5_get_int64() on
        32-bit systems.
    + CVE-2022-44640: Invalid free() in ASN.1 codec, potentially allowing
      remote code execution against Heimdal KDCs before 7.7.1/7.8.
      Closes: #1024187.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 26 Nov 2022 17:00:54 +0100

heimdal (7.5.0+dfsg-3) unstable; urgency=high

  * CVE-2018-16860: Samba AD DC S4U2Self/S4U2Proxy unkeyed checksum.
    Closes: #928966.
  * CVE-2019-12098: Always confirm PA-PKINIT-KX for anon PKINIT.
    Closes: #929064.
  * Update test certificates to pre 2038 expiry. Closes: #923930.

 -- Brian May <bam@debian.org>  Tue, 21 May 2019 18:04:35 +1000

heimdal (7.5.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add patch to create headers before building (Closes: 906623)

 -- Hilko Bengen <bengen@debian.org>  Sun, 28 Oct 2018 15:10:44 +0100

heimdal (7.5.0+dfsg-2) unstable; urgency=medium

  * Replace "MAXHOSTNAMELEN" with "MaxHostNameLen" in kdc/kx509.c for The
    Hurd. Closes: #900079.

 -- Brian May <bam@debian.org>  Sat, 02 Jun 2018 10:01:46 +1000
