## heimdal 7.7.0%2Bdfsg

=== debian/changelog ===
heimdal (7.7.0+dfsg-2) unstable; urgency=medium

  * Build using python3. Closes: #936695, #960032.

 -- Brian May <bam@debian.org>  Tue, 12 May 2020 06:56:04 +1000

heimdal (7.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Fix CVE-2019-14870: The DelegationNotAllowed Kerberos feature restriction
    was not being applied when processing protocol
    transition requests (S4U2Self), in the AD DC KDC. Closes: #946786.

 -- Brian May <bam@debian.org>  Tue, 17 Dec 2019 20:23:41 +1100
