## heimdal 7.7.0+dfsg

=== debian/changelog ===
heimdal (7.7.0+dfsg-3ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946860). Remaining changes:
    - Disable lto, to regain dep on roken, otherwise dependencies on amd64
      are different to i386 resulting in different files on amd64 and
      i386. LP #1934936
    - Remove symbol rk_closefrom@HEIMDAL_ROKEN_1.0 1.4.0+git20110226
      (LP #1945787)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 08 Dec 2021 18:02:13 -0300

heimdal (7.7.0+dfsg-3) unstable; urgency=high

  * Fix CVE-2021-3671: A null pointer de-reference was found in the way
    samba kerberos server handled missing sname in TGS-REQ. Closes: #996586.
  * Fix autoconf 2.7 issues.

 -- Brian May <bam@debian.org>  Wed, 17 Nov 2021 12:12:45 +1100

heimdal (7.7.0+dfsg-2ubuntu2) impish; urgency=medium

  * Remove symbol rk_closefrom@HEIMDAL_ROKEN_1.0 1.4.0+git20110226
    (LP: #1945787) 

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 01 Oct 2021 15:03:02 +0200

heimdal (7.7.0+dfsg-2ubuntu1) impish; urgency=medium

  * Disable lto, to regain dep on roken, otherwise dependencies on amd64
    are different to i386 resulting in different files on amd64 and
    i386. LP: #1934936

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 20 Jul 2021 10:32:53 +0100

heimdal (7.7.0+dfsg-2build1) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 17:48:49 -0400
