=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: heimdal
 Section: net
 Priority: optional
-Maintainer: Brian May <bam@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Brian May <bam@debian.org>
 Uploaders: Dominik George <nik@naturalnet.de>
 Homepage: http://www.h5l.org/
 Standards-Version: 4.1.2
@@ -23,19 +24,20 @@
                libxt-dev,
                netbase,
                pkg-config,
-               python,
+               python3,
                ss-dev,
                texinfo,
                unzip,
                x11proto-core-dev
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/heimdal/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/heimdal.git
+Vcs-Browser: https://salsa.debian.org/debian/heimdal
+Vcs-Git: https://salsa.debian.org/debian/heimdal.git
 
 Package: heimdal-docs
 Section: doc
 Architecture: all
 Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Suggests: heimdal-clients, heimdal-servers
+Multi-Arch: foreign
 Description: Heimdal Kerberos - documentation
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
@@ -107,6 +109,7 @@
 Section: devel
 Conflicts: libkrb5-dev
 Architecture: any
+Multi-Arch: same
 Description: Heimdal Kerberos - development files
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
