=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+# amd64 ends up without a dep on libroken breaking multiarch
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=-lto
 
 %:
 	dh $* --parallel
