## heimdal 7.7.1+dfsg

=== debian/changelog ===
heimdal (7.7.1+dfsg-1) oldstable-heimdal-dev; urgency=medium

  * Backport to stretch.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Wed, 18 Dec 2019 12:40:44 -0800
