=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: heimdal
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Brian May <bam@debian.org>
+Maintainer: Brian May <bam@debian.org>
 Uploaders: Dominik George <nik@naturalnet.de>
 Homepage: http://www.h5l.org/
 Standards-Version: 4.1.2
@@ -13,29 +12,22 @@
                libcap-ng-dev [linux-any],
                libdb-dev,
                libedit-dev,
-               libhesiod-dev,
                libjson-perl,
                libldap2-dev,
                libncurses5-dev,
-               libperl4-corelibs-perl,
                libsqlite3-dev,
-               libx11-dev,
-               libxau-dev,
-               libxt-dev,
                netbase,
                pkg-config,
                python3,
-               ss-dev,
                texinfo,
                unzip,
-               x11proto-core-dev
 Vcs-Browser: https://salsa.debian.org/debian/heimdal
 Vcs-Git: https://salsa.debian.org/debian/heimdal.git
 
 Package: heimdal-docs
 Section: doc
 Architecture: all
-Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: ${misc:Depends}
 Suggests: heimdal-clients, heimdal-servers
 Multi-Arch: foreign
 Description: Heimdal Kerberos - documentation
@@ -74,11 +66,12 @@
 Package: heimdal-multidev
 Section: devel
 Architecture: any
+Multi-Arch: no
 Conflicts: heimdal-clients (<< 0.4e-7), kerberos4kth-dev
 Depends: comerr-dev,
          libasn1-8-heimdal (= ${binary:Version}),
          libgssapi3-heimdal (= ${binary:Version}),
-         libhcrypto4-heimdal (= ${binary:Version}),
+         libhcrypto5-heimdal (= ${binary:Version}),
          libhdb9-heimdal (= ${binary:Version}),
          libheimbase1-heimdal (= ${binary:Version}),
          libhx509-5-heimdal (= ${binary:Version}),
@@ -109,7 +102,7 @@
 Section: devel
 Conflicts: libkrb5-dev
 Architecture: any
-Multi-Arch: same
+Multi-Arch: no
 Description: Heimdal Kerberos - development files
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
@@ -253,7 +246,7 @@
  .
  This package contains the library for KAFS support.
 
-Package: libroken18-heimdal
+Package: libroken19-heimdal
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Section: libs
@@ -339,7 +332,7 @@
  .
  This package contains the stringprep library.
 
-Package: libhcrypto4-heimdal
+Package: libhcrypto5-heimdal
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Section: libs
