## heimdal 7.8.git20221117.28daf24%2Bdfsg

=== debian/changelog ===
heimdal (7.8.git20221117.28daf24+dfsg-4) unstable; urgency=medium

  * Always build the rk_strlcat and rk_strlcpy symbols even if included in
    glibc. Closes: #1055316.

 -- Brian May <bam@debian.org>  Wed, 03 Jan 2024 11:43:58 +1100

heimdal (7.8.git20221117.28daf24+dfsg-3) unstable; urgency=medium

  * Fix random "Ticket expired" and "Clock skew too great" errors by setting
    kdc_offset correctly. Closes: #1039992.

 -- Brian May <bam@debian.org>  Tue, 04 Jul 2023 10:09:56 +1000

heimdal (7.8.git20221117.28daf24+dfsg-2) unstable; urgency=medium

  * Fix incorrect license of Debian files.
  * Fix deprecated dependancies.
  * gsskrb5: fix accidental logic inversions (CVE-2022-45142)
    (Closes: #1030849) - change applied from NMU version
    7.8.git20221117.28daf24+dfsg-1.1
  * Add ro.po file. Closes: #1031897.

 -- Brian May <bam@debian.org>  Sat, 25 Feb 2023 09:32:57 +1100

heimdal (7.8.git20221117.28daf24+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Brian May <bam@debian.org>  Sat, 10 Dec 2022 16:29:20 +1100
